KeyError: 'license_compression_enclosures' when using IBM Storwize/SVC

Bug #1288645 reported by Chen Xiao on 2014-03-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Chen Xiao

Bug Description

when using iSCSI protocol to conenct IBM v7000, starting cinder-volume service maybe occur KeyError.
log:
2014-03-06 01:48:26.409 25160 ERROR cinder.volume.manager [req-ac4f3744-1826-4456-a726-1d07ba5cb37e None] CN-18C9F33 Error encountered during initialization of driver: StorwizeSVCDriver
2014-03-06 01:48:26.409 25160 ERROR cinder.volume.manager [req-ac4f3744-1826-4456-a726-1d07ba5cb37e None] 'license_compression_enclosures'
2014-03-06 01:48:26.409 25160 TRACE cinder.volume.manager Traceback (most recent call last):
2014-03-06 01:48:26.409 25160 TRACE cinder.volume.manager File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 207, in init_host
2014-03-06 01:48:26.409 25160 TRACE cinder.volume.manager self.driver.do_setup(ctxt)
2014-03-06 01:48:26.409 25160 TRACE cinder.volume.manager File "/usr/lib/python2.6/site-packages/cinder/volume/drivers/ibm/storwize_svc/__init__.py", line 153, in do_setup
2014-03-06 01:48:26.409 25160 TRACE cinder.volume.manager self._helpers.compression_enabled()
2014-03-06 01:48:26.409 25160 TRACE cinder.volume.manager File "/usr/lib/python2.6/site-packages/cinder/volume/drivers/ibm/storwize_svc/helpers.py", line 54, in compression_enabled
2014-03-06 01:48:26.409 25160 TRACE cinder.volume.manager if resp[key] != '0':
2014-03-06 01:48:26.409 25160 TRACE cinder.volume.manager KeyError: 'license_compression_enclosures'

it should lack of license_compression_enclosures when compression is not enabled for the system. so need add checking in the code.

Chen Xiao (chenxiao) on 2014-03-06
Changed in cinder:
assignee: nobody → Chen Xiao (chenxiao)

Fix proposed to branch: master
Review: https://review.openstack.org/78568

Changed in cinder:
status: New → In Progress
Changed in cinder:
assignee: Chen Xiao (chenxiao) → Jay Bryant (jsbryant)
Changed in cinder:
assignee: Jay Bryant (jsbryant) → Chen Xiao (chenxiao)

Reviewed: https://review.openstack.org/78568
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=df03a9b9b7025a0e13d9387a74c304875dec0918
Submitter: Jenkins
Branch: master

commit df03a9b9b7025a0e13d9387a74c304875dec0918
Author: Xiao Chen <email address hidden>
Date: Thu Mar 6 18:13:46 2014 +0800

    resolve KeyError for IBM Storwize/SVC driver

    When using iSCSI protocol to conenct IBM v7000, and compression
    is not enabled for the system, KeyError may occur because of the response
    item's lack of 'license_compression_enclosures'. So add a check to
    resolve it.

    Change-Id: Ie53631ea5b047650897313ad5614f6e1df5377f2
    Closes-Bug: #1288645

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-03-27
Changed in cinder:
milestone: none → icehouse-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-rc1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers